<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


if($_POST['palet']) $palet=$_POST['palet']; else $palet=$_GET['palet'];



//Estas son las variables de sesión para la gestion de produtos y gs1 copiadas de la entrada, que es el script en el que está basado la devolución a estanteria proceso
unset($_SESSION['lecturasTemporalesGS1']);
unset($_SESSION['lecturasAcumuladas']);
unset($_SESSION['lecturasGS1']);
unset($_SESSION['lecturasTotales']);




$peticion='DevolverAUbicacion#'.$_SESSION['empresa'].'#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}



/*

$comboEstados=array();
$comboClientes=array();
	
foreach($resultado as $item) {

	if(!in_array($item['Estado'],$comboEstados) && $item['Estado']!='') $comboEstados[]=$item['Estado'];
	if(!in_array($item['NombreClientePropietario'],$comboClientes) && $item['NombreClientePropietario']!='') $comboClientes[]=$item['NombreClientePropietario'];
		
}

asort($comboClientes);

*/

if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	$_SESSION['devolucion']=array();

	foreach($resultado as $item) {
		if( !$palet || ($palet && $item['IdPalet']==$palet) ) $_SESSION['devolucion'][]=$item;
	}

	?>
    <form id="formularioPalet" name="formularioPalet" method="post" action="<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>">
   
    <p class="sinMargen">Palet:
    <div class="campoOrdenPreparacionBloque" style="margin:0 auto">
    	<img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoPalet" /><input name="palet" type="text" class="campo campoOrdenPreparacion" id="palet" maxlength="14" style="left:5px;" value="<?php echo $palet; ?>"/>
		<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPalet" style="position:absolute;right:5px;cursor:pointer;"/>
    </div>
    </p>
    
     </form>
    
    <table class="tablaFormateada anchoMaximo">
	<tr style="white-space:nowrap">
		<th>Palet</th>
		<th>Producto</th>
		<th>Descripción</th>
		<th>Régimen</th>
		<th>Lote</th>
		<th>Fecha cad.</th>
	    <th>Estado</th>
		<th>Stock</th>
	    <th>Formato</th>
	    <th>Ubicación propuesta</th>
      </tr>
      
	<?php foreach($_SESSION['devolucion'] as $item) { ?>
    
		<tr
        	IdPalet="<?php echo $item['IdPalet']; ?>"
            UbiPropuesta="<?php echo $item['UbiPropuesta']; ?>"
        	class="lineaOrden clicable mostrarCargando" style="height:75px" >
                <td><?php echo $item['IdPalet']; ?></td>
                <td><?php echo $item['CodProducto']; ?></td>
                <td><?php echo $item['Descripcion']; ?></td>
                <td><?php echo $item['Regimen']; ?></td>
                <td><?php echo $item['Lote']; ?></td>
                <td><?php echo fechaNacional($item['Caducidad']); ?></td>
                <td><?php echo $item['Estado']; ?></td>
                <td><?php echo $item['Cantidad']; ?></td>
                <td><?php echo $item['Formato']; ?></td>
                <td><?php echo $item['UbiPropuesta']; ?></td>
      </tr>
	
	<?php } ?>
    
    </table>

	<!--

	<div class="barraFiltro">
    	
        <table cellpadding="5" style="margin:0 auto">
        	<tr>
            	<td>
                P:<br />
                <select name="filtroEstado" id="filtroEstado" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboEstados as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                Cliente:<br /> 
                <select name="filtroCliente" id="filtroCliente" class="campo selectorFiltro" style="width:200px">
                    <option value="">---</option>
                    <?php foreach($comboClientes as $item) { ?>
                    <option value="<?php echo $item; ?>"><?php echo $item; ?></option>
                    <?php } ?>
                </select>
                </td>
                <td>
                <img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
                <img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
                <img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
                </td>
            </tr>
        </table>
        
    </div>
    
    --->
    
	<script>
	
		/*
	
		function repintarTabla() {
	
			$(".lineaOrden").children('td').css('background-color','#ffffff');
			$(".lineaOrden").children('td').css('border-bottom','');
			$(".lineaOrden").children('td').css('border-radius','');
			$(".lineaOrden").children('td').css('-mozborder-radius','');
			$(".lineaOrden").children('td').css('-webkit-border-radius','');
		
			var par=true;
			$(".lineaOrden").each(function(){
				if( $(this).is(":visible") ) {
					if(par) $(this).children('td').css('background-color','#ffffff');
					else $(this).children('td').css('background-color','#eeeeee');
					par = !par;
					ultimaFila=$(this);
				}
			});
			
			ultimaFila.children('td').css('border-bottom','1px solid #999999');
			ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
			ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
			ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
			ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
		
		}
		
		function aplicarFiltro(id) {
		
			if( $('#filtroEstado').val()=='' && $('#filtroCliente').val()=='' ) {
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
			}
			else  {
				$('#filtroApagado').hide();
				$('#quitarFiltro').show();
				$('#aplicarFiltro').hide();
			}
			
			
			
			$('.lineaOrden').each(function() {
			
				var coincidenciaEstado=false;
				var coincidenciaCliente=false;
			
				if( $('#filtroEstado').val()!='' && $(this).attr('estado')==$('#filtroEstado').val() ) coincidenciaEstado=true;
				else if( $('#filtroEstado').val()=='' ) coincidenciaEstado=true;
			
				if( $('#filtroCliente').val()!='' && $(this).attr('cliente')==$('#filtroCliente').val() ) coincidenciaCliente=true;
				else if( $('#filtroCliente').val()=='' ) coincidenciaCliente=true;
				
				if( coincidenciaEstado && coincidenciaCliente ) $(this).show();
				else $(this).hide();
			});
			
	
			//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
			if(id) {
				if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
				else $('#'+id).prop("checked",true);
			}
	
			repintarTabla();
		
		}
		
		*/
	
		$(document).ready(function() {
			
			$('.lineaOrden').on("click",function(){
			
				$('#popupCargando').show();
				
				var IdPalet=$(this).attr('IdPalet');
				var UbiPropuesta=$(this).attr('UbiPropuesta');
				
				window.location='<?php echo $rutaHtml; ?>/info-contenedor-S.php?contenedor='+IdPalet+'&procedencia=devoluciones';
				
			});
			
			$(document).on('change','#palet',function(){
		
				$('#popupCargando').show();
				$('#formularioPalet').submit();
				
			});
					
			$(document).on('click','#tecladoPalet',function(){
				$('#teclado').show();
				$('#valor').val( $('#palet').val() );
				$('#valorOculto').val( $('#palet').val() );
				$('#enter').attr('campoValor','palet');
				$('#enter').attr('forzarEnter','si');	
			});
					
			$(document).on('click','#borrarPalet',function(){
				$("#palet").val('');
				$("#palet").trigger('change');
			});
			
			$('#palet').focus();
			
			/* 
			
			$('.selectorFiltro').on("change",function() {
				aplicarFiltro();
			});
			
			$('#quitarFiltro').on("click",function() {
		
				$('#filtroEstado option:selected').removeProp('selected');
				$('#filtroCliente option:selected').removeProp('selected');
				
				$('#filtroEstado option[value=""]').prop('selected',true);
				$('#filtroCliente option[value=""]').prop('selected',true);
				
				$('#filtroApagado').show();
				$('#quitarFiltro').hide();
				$('#aplicarFiltro').hide();
	
				$(".lineaOrden").show();
				
				repintarTabla();
				
			});
			
			*/
			
		});
	
	</script>
    
	<?php
}
else {
	?>
	<p>No hay ninguna devolución a estantería pendiente.</p><?php
}
?>